[ucto] 01/01: Added preinst/postinst/postrm scripts to remove old config files in /etc/ucto left by libucto2
Maarten van Gompel
proycon-guest at moszumanska.debian.org
Mon Jan 23 16:08:27 UTC 2017
This is an automated email from the git hooks/post-receive script.
proycon-guest pushed a commit to branch master
in repository ucto.
commit 5a6ac87ad26d0a144449a9c0b77af09b90805319
Author: proycon <proycon at anaproy.nl>
Date: Mon Jan 23 17:08:14 2017 +0100
Added preinst/postinst/postrm scripts to remove old config files in /etc/ucto left by libucto2
---
debian/changelog | 2 ++
debian/libucto2.postinst | 15 +++++++++++++++
debian/libucto2.postrm | 15 +++++++++++++++
debian/libucto2.preinst | 15 +++++++++++++++
4 files changed, 47 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index deb7efd..5dbf91d 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -6,6 +6,8 @@ ucto (0.9.6-1) unstable; urgency=high
minimal data that used to be in libucto2
(as recommended by Andreas Beckmann in bug #838112)
Stated this to break/replace ucto << 0.9.6-1
+ * Added preinst/postinst/postrm scripts to remove
+ old config files in /etc/ucto left by libucto2
-- Maarten van Gompel <proycon at anaproy.nl> Mon, 23 Jan 2017 15:10:00 +0100
diff --git a/debian/libucto2.postinst b/debian/libucto2.postinst
new file mode 100755
index 0000000..1f6aa7a
--- /dev/null
+++ b/debian/libucto2.postinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/email.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/smiley.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/url.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-generic -- "$@"
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/libucto2.postrm b/debian/libucto2.postrm
new file mode 100755
index 0000000..1f6aa7a
--- /dev/null
+++ b/debian/libucto2.postrm
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/email.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/smiley.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/url.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-generic -- "$@"
+
+#DEBHELPER#
+
+exit 0
diff --git a/debian/libucto2.preinst b/debian/libucto2.preinst
new file mode 100755
index 0000000..1f6aa7a
--- /dev/null
+++ b/debian/libucto2.preinst
@@ -0,0 +1,15 @@
+#!/bin/sh
+
+set -e
+
+#Data files moved to /usr/share instead of /etc, remove old:
+dpkg-maintscript-helper rm_conffile /etc/ucto/email.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/smiley.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/url.rule -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-eos.eos -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/standard-quotes.quote -- "$@"
+dpkg-maintscript-helper rm_conffile /etc/ucto/tokconfig-generic -- "$@"
+
+#DEBHELPER#
+
+exit 0
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-science/packages/ucto.git
More information about the debian-science-commits
mailing list